import { createAsyncThunk } from "@reduxjs/toolkit";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import axios from "axios";

export const provincePolicyGetDropLimitService = createAsyncThunk(
  "PROVINCE_POLICY_GET_DROP_LIMIT_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("drop-limit/", d);
    dispatch(LOADING_END());
    return { data, status };
  }
);
